import {
    request
} from '../selfRequest';


// 查询故障分类列表
export function deviceTypeListRq() {
    return request({
        url: '/repairDeviceApi/deviceTypeList',
        method: "get",
    });
}

// 根据故障分类查询故障设备列表
export function deviceListRq(data) {
    return request({
        url: '/repairDeviceApi/deviceList',
        method: "get",
        data
    });
}

// 查询地区
export function selectAddressListRq() {
    return request({
        url: '/repairDeviceApi/selectAddressList',
        method: "get",
    });
}

// 查询楼层
export function selectRoomListRq(data) {
    return request({
        url: '/repairDeviceApi/selectFloorList',
        method: "get",
        data
    });
}

// 保存工单
export function repairSaveRq(data) {
    return request({
        url: '/app/repair/flow/start',
        method: "post",
        data
    });
}

// * 工单列表
// * menu:1.保修查询，3派单入口，5维修入口, 7 管理员

// * 报修查询：全部、处理中、待评价、已评价   type对应值：all、process、evaling、evaled
// * 派单入口：重新派单、待派单、已派单、已关闭  type对应值：anew、wait、already、close
// * 维修入口：待完成、进行中、已完成  type对应值：wait、working、close
// * 管理员：重派单，全部    type对应值：anew、all  【小程序暂时用不到】
export function repairListRq(data) {
    return request({
        url: `/app/repair/list?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
        method: "post",
        data
    });
}

// 获取详情
export function getDetailRq(data) {
    return request({
        url: `/app/repair/get`,
        method: "post",
        data
    });
}

// 流程处理
export function flowHandleRq(data) {
    return request({
        url: `/app/repair/flow/handle`,
        method: "post",
        data
    });
}


// 返回订单状态
// 状态:1 待派单,3 重新派单,5 已派单,7 处理中, 9已完成 待评价, 11 已关闭 13 已评价
let statusList = [{
    status: 1,
    statusName: '待派单',
}, {
    status: 3,
    statusName: '重新派单',
}, {
    status: 5,
    statusName: '已派单',
}, {
    status: 7,
    statusName: '处理中',
}, {
    status: 9,
    statusName: '已完成',
},  {
    status: 11,
    statusName: '已关闭',
}, {
    status: 13,
    statusName: '已评价',
},]
export function getStatusName(status) {
    let obj = statusList.find(item=> item.status == status )
    if(obj){
        return obj.statusName
    }else{
        return '状态不存在!'
    }
}